General Questions and chit chat NOT related to support. Please Use the "Buyers" section for any support related needs.
Forum rules ONLY CHIT CHAT :-) Specific theme, MODs/Extensions support only in the "Buyers section". Thank-you!
#19032 by Cooper_si
January 9th, 2017, 3:28 pm
Made a test board for 3.2. I still have PHP Version 5.4.45.

Clean install, no hiccups. Set with Flatboots 3.2, Set with new BBCore 3.2.3. Installed full marketplace ext.

Noticed in admin log..

"Sitesplat BBCore did not install correctly
Could NOT update the following file(s)
» /viewforum.php"

after installing...

" Extension enabled
» sitesplat/classifiedsads"
#19033 by ThemeSplat
January 9th, 2017, 3:33 pm
I really need you to update to min PHP 5.6.21 :P
Having said this, disable the ads package and delete data, set the file permission for the viewforum.php to 777 then enable the ads package again.
#19034 by Cooper_si
January 9th, 2017, 3:40 pm
ThemeSplat » 4 minutes ago wrote:I really need you to update to min PHP 5.6.21 :P
Having said this, disable the ads package and delete data, set the file permission for the viewforum.php to 777 then enable the ads package again.


I feel awkward asking ISP to go 5.6.21, when hes already looking at 7 :-D but i know what your saying :)

Good news on your advise on the above...

"Sitesplat BBCore installed succesfully"

But then i notice youve upped the BBCore version again :-D :-D :-D
#19036 by ThemeSplat
January 9th, 2017, 5:28 pm
You shouldn't feel bad. They are there for that reason, providing you a service which you are paying most likely pretty penny for.
The new BBcore 3.2.4 is for phpBB 3.2 only. (finally core edits free)
#19077 by Cooper_si
January 10th, 2017, 11:51 am
Just browsing phpbb as im off poorly, and found this about updates...note the comments made by Fogbow_foggy and Lumpy Burgertushie

https://www.phpbb.com/community/viewtop ... &t=2400126

...the thing i seem to gather at the moment is not to use "Automatic File Update" and to do a "Download the full package of 3.2.x"

Thought this might help the likes of us that are quite modified in some way ;)
#19083 by Cooper_si
January 10th, 2017, 2:58 pm
Had a question on someone elses woes, and heres the response...

stevemaury wrote:
Cooper_si wrote:
Lumpy Burgertushie wrote:it pretty much is now if you do not try to use the auto update method.

it will be harder to get your 3.1 board back working than it is to complete the 3.2 upgrade.

if you understand how to use ftp then try this:
Upgrading from phpbb 3.1.x/3.2.x or updating to newest phpbb 3.2.x
Backup up your board's files and database
  • Go to the admin panel of your current board and purge the cache.
  • Download the full package of 3.2. click here 3.2.x Full Package
  • Unzip it to your computer, now remove the file named config.php
  • Upload all the rest of the files and folders into your forum's directory (Note: you don't want to overwrite your original config.php file)
  • Browse to yourdomain.com/yourphpbb/install/ then click the update tab. Click update.
  • Delete the folder named /install/

robert


The bit where you say "FULL PACKAGE". If this is an update from a previous version, then surely on update package is required, especially if its available as a download ? For example Download phpBB 3.1.10 to 3.2.0 Update Package. Or do you REALLY mean FULL PACKAGE, and if thats the case why is the update package available in the first place ?


Yes, he means full package.


So FULL Package installs peeps :D
#19086 by Leinad4Mind
January 10th, 2017, 4:32 pm
Full package was always the best option. But not for MODDED versions.
Nowadays with extensions I thought that we could change all the core files without fear. But there are many extensions that do core edit files. So, if thats the case, how can we put the Full Package? Should we need to deactivate first all extensions, put the full package and then re-enable all extensions?
#19172 by Cooper_si
January 12th, 2017, 7:29 am
So guys I'm currently on php5.4 and I'm getting upped right to php7 late tonight. Will I need to prep for anything for the big jump. I'm worried I won't be able to access the ACP to then set up 3.2...
#19173 by WelshPaul
January 12th, 2017, 8:11 am
I always kept a full changelog with find/replace instructions for phpBB. Updating was easy for me! I would just download the full phpBB package and follow my changelog to apply my code changes and that was it.

I still have my changelog, I now use an extension that makes the core changes for me.
#19185 by Leinad4Mind
January 12th, 2017, 1:04 pm
That's great. But, on my 3.0, since I have 154 MODs, and many of them I needed to fix their code and make all compatible with each other. It was quite a task and a lot of edited files. BUT its all working perfectly :p (Kinda heavy, but its working lol)
But in that time I needed to do the update package, because making all edits again even if I had a changelog to do it manual, it would be days to do the changes x'D
But an extension that makes the changes for me, that would be perfect :-D

Who is online

Users browsing this forum: Bing [Bot] and 3 guests